CVE-2018-13869

NameCVE-2018-13869
DescriptionAn issue was discovered in the HDF HDF5 1.8.20 library. There is a memcpy parameter overlap in the function H5O_link_decode in H5Olink.c.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
hdf5 (PTS)buster1.10.4+repack-10vulnerable
buster (security)1.10.4+repack-10+deb10u1vulnerable
bullseye1.10.6+repack-4+deb11u1vulnerable
bookworm1.10.8+repack1-1fixed
trixie1.10.10+repack-3fixed
sid1.10.10+repack-3.3fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
hdf5source(unstable)1.10.7+repack-1unimportant

Notes

Negligible HDF crash, never properly reported upstrem
https://github.com/TeamSeri0us/pocs/tree/master/hdf5
Fixed for 1.10.x in 1.10.7: https://forum.hdfgroup.org/t/release-of-hdf5-1-10-7-newsletter-175-the-hdf-group/7511

Search for package or bug name: Reporting problems